info.bioinfweb.jphyloio.formats.nexus.commandreaders.all

## Class BlockTitleToIDMap

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.nexus.commandreaders.all.BlockTitleToIDMap

-     public class BlockTitleToIDMap
      extends java.lang.Object

  Used internally be `NexusEventReader` and related classes to map Nexus block titles to JPhyloIO IDs.

  Application code will usually not need to use this class directly.

  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockTitleToIDMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultBlockID(java.lang.String blockTypeName)`
    `java.lang.String` | `getID(java.lang.String blockTypeName, java.lang.String blockTitle)`
    `boolean` | `hasDefaultBlockID(java.lang.String blockTypeName)`
    `void` | `putDefaultBlockID(java.lang.String blockTypeName, java.lang.String id)`
    `void` | `putID(java.lang.String blockTypeName, java.lang.String blockTitle, java.lang.String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockTitleToIDMap

          public BlockTitleToIDMap()

  - ### Method Detail

    - #### hasDefaultBlockID

          public boolean hasDefaultBlockID(java.lang.String blockTypeName)

    - #### getDefaultBlockID

          public java.lang.String getDefaultBlockID(java.lang.String blockTypeName)

    - #### putDefaultBlockID

          public void putDefaultBlockID(java.lang.String blockTypeName,
                                        java.lang.String id)

    - #### getID

          public java.lang.String getID(java.lang.String blockTypeName,
                                        java.lang.String blockTitle)

    - #### putID

          public void putID(java.lang.String blockTypeName,
                            java.lang.String blockTitle,
                            java.lang.String id)